Bug 1149449 - start using libsource-highlight.so for gdb
start using libsource-highlight.so for gdb
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: Tom de Vries
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-04 17:34 UTC by Tom de Vries
Modified: 2021-12-04 00:19 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom de Vries 2019-09-04 17:34:32 UTC
In gdb 8.3, support was added to "provide styling of source code snippets" using GNU Source Highlight.

We're currently not marking the libsource-highlight.so library as buildrequires, so gdb is build without this support, and we'll want to enable this at some point.

I've found at least one issue with the support on 8.3, reported here ( https://sourceware.org/ml/gdb-patches/2019-09/msg00030.html ), which may or may not be openSUSE-specific.
Comment 1 Tom de Vries 2019-09-24 11:20:17 UTC
(In reply to Tom de Vries from comment #0)
> In gdb 8.3, support was added to "provide styling of source code snippets"
> using GNU Source Highlight.
> 
> We're currently not marking the libsource-highlight.so library as
> buildrequires, so gdb is build without this support, and we'll want to
> enable this at some point.
> 
> I've found at least one issue with the support on 8.3, reported here (
> https://sourceware.org/ml/gdb-patches/2019-09/msg00030.html ), which may or
> may not be openSUSE-specific.

This issue has been fixed in the 8.3 branch, so it'll come with the 8.3.1 update.
Comment 2 Aaron Puchert 2021-12-04 00:13:02 UTC
Fixed with https://build.opensuse.org/request/show/934734, right?
Comment 3 Tom de Vries 2021-12-04 00:19:17 UTC
(In reply to Aaron Puchert from comment #2)
> Fixed with https://build.opensuse.org/request/show/934734, right?

Yes, that should be in tumbleweed soon, or already there.